frontend/v1/app/urls.py
from django.conf.urls import url
from .views import *

#url for app
urlpatterns = [
    url(r'^job/listing/', show_jobs, name='job-listing'),
    url(r'^student/list/', show_student, name='student-list'),
    url(r'^job/forum/(?P<id>\d)/$', show_job_forum, name='job-forum'),
    url(r'^job/forum/(?P<id>\d)/post/$', add_comment, name='post-comment'),
    url(r'^job/comment/delete/(?P<id>\d)/$', delete_comment, name='delete-comment'),
	url(r'^student/profile/(?P<pk>.*)/$', show_student_profile, name='student-profile'),
    url(r'^company/logout/', auth_logout, name='company-logout'),
    url(r'^job/forum/(?P<id>\d)/apply/$', add_application, name='apply-job'),
]

frontend/v1/app_auth/urls.py
from django.conf.urls import url
from .views import *

urlpatterns = [
    url(r'^signup', signup, name='signup'),
    url(r'^logout', logout, name='logout'),
    url(r'^verify', verify, name='verify'),
    url(r'^$', index, name='login'),
]

frontend/v1/app_company/urls.py
from django.conf.urls import url
from .views import *
#url for app
urlpatterns = [
    url(r'^$', show_profile, name='profile'),
    url(r'^id/(?P<key>.*)/$', show_profile_by_id, name='profile-by-id'),
    url(r'^job/add/$', add_job, name='company-add-job'),
    url(r'^job/delete/(?P<id>\d)/$', delete_job, name='company-delete-job'),
]

frontend/v1/app_mahasiswa/urls.py
from django.conf.urls import url
from .views import *

urlpatterns = [
    url(r'^$', index_new, name='index'),
    url(r'^vacancy/$', vacancy, name='vacancy'),
    url(r'^vacancy/(?P<vacancy_id>.+)$', vacancy_detail, name='vacancy_detail'),
]

frontend/v1/ppw_final/urls.py
from django.conf.urls import url, include, static
from django.contrib import admin
from django.conf import settings
from django.views.generic.base import RedirectView

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^auth/', include('app_auth.urls', namespace='auth')),
    url(r'^company/', include('app_company.urls', namespace='company')),
    url(r'^mahasiswa/', include('app_mahasiswa.urls', namespace='mahasiswa')),
    url(r'^test/', include('app_render.urls', namespace='render')),
    url(r'^app/', include('app.urls', namespace='app')),
    url(r'^$', RedirectView.as_view(url='auth/', permanent = True), name = '$'),
]

frontend/v1/app_auth/models.py
from django.db import models

# Create your models here.

frontend/v1/app_auth/forms.py
from django import forms

class LoginForm(forms.Form):
    error_messages = {
        'required': 'This is a required field',
    }

    username_attrs = {
        'type': 'text',
        'class': 'form-input',
        'id': 'username-input',
        'name': 'username-input',
        'cols': 50,
        'placeholder': 'SSO Username',
    }

    password_attrs = {
        'type': 'password',
        'class': 'form-input',
        'id': 'password-input',
        'name': 'password-input',
        'cols': 50,
        'placeholder': 'SSO Password',
    }

    username = forms.CharField(label='Username SSO', required=True, widget=forms.TextInput(attrs=username_attrs))
    password = forms.CharField(label='Password SSO', required=True, widget=forms.TextInput(attrs=password_attrs))

frontend/v1/app_auth/views.py
from django.http import HttpResponseRedirect
from django.shortcuts import render, redirect

import os

response = {}


def index(request):
    BE_URL = os.getenv('BE_URL', '')
    return render(request, 'login/index.html', {'BE_URL': BE_URL})


def logout(request):
    response = redirect('/auth/')
    response.delete_cookie('jwt_')
    return response


def signup(request):
    return render(request, 'signup/index.html', {})


def verify(request):
    return render(request, 'verification/index.html', {})

frontend/v1/app_auth/templates/login/index.html
{% extends "base_new.html" %}
{% load static %}

{% block css %}
<link rel="stylesheet" href="{% static 'css/app_auth/style.css' %}">
{% endblock %}

{% block main %}
<div class="container-fluid">
    <div class="container bg-white box-shadow box-rounded mt-5">
        <div class="row">
            <div class="col-5 form__outer">
                <div class="container">
                    <div class="row mt-5 page__header">
                        <div class="col ">
                            <h1 class="page__title"><strong>Login</strong></h1>
                        </div>
                    </div>
                    <div class="row my-2">
                        <div class="col small">
                            <em>Akses semua fitur akan terbuka untukmu.</em>
                        </div>
                    </div>
                    {% if request.GET.via != 'sso' %}
                    <form action="{{ BE_URL|add:'auth/cs-auth/login' }}" method="POST" class="row align-items-stretch form__container my-4">
                        {% csrf_token %}
                        <div class="col-12 mb-4">
                            <div class="input-group input h-100">
                                <div class="input-group-prepend input__prepend-icon">
                                    <span class="input-group-text"><i class="icon icon-user"></i></span>
                                </div>
                                <input name="username" placeholder="username" title="keyword" type="text" class="form-control box-shadow">
                            </div>
                        </div>
                        <div class="col-12 mb-4">
                            <div class="input-group input h-100">
                                <div class="input-group-prepend input__prepend-icon">
                                    <span class="input-group-text"><i class="icon icon-lock"></i></span>
                                </div>
                                <input name="password" placeholder="password" title="keyword" type="password" class="form-control box-shadow">
                            </div>
                        </div>
                        <div class="col-12 text-right">
                            <button type="submit" class="btn btn-primary btn-flat">
                                Login
                            </button>
                        </div>
                    </form>
                    <div class="separator">
                        <div class="separator__content">
                            atau
                        </div>
                    </div>
                    {% endif %}
                    {% if request.GET.via == 'sso' %}
                    <form action="{{ BE_URL|add:'auth/cs-auth/login' }}" method="POST" class="row align-items-stretch form__container my-4">
                        {% csrf_token %}
                        <div class="col-12 mb-4">
                            <div class="input-group input h-100">
                                <div class="input-group-prepend input__prepend-icon">
                                    <span class="input-group-text"><i class="icon icon-user"></i></span>
                                </div>
                                <input id="username" name="username" placeholder="username" title="keyword" type="text" class="form-control box-shadow">
                            </div>
                        </div>
                        <div class="col-12 mb-4">
                            <div class="input-group input h-100">
                                <div class="input-group-prepend input__prepend-icon">
                                    <span class="input-group-text"><i class="icon icon-lock"></i></span>
                                </div>
                                <input id="password" name="password" placeholder="password" title="keyword" type="password" class="form-control box-shadow">
                            </div>
                        </div>
                        <div class="col-12 text-right">
                            <button type="submit" id="btn-submit" class="btn btn-primary btn-flat">
                                Login
                            </button>
                        </div>
                    </form>
                    {% endif %}
                    {% if request.GET.via == None %}
                    <div class="row">
                        <div class="col">
                            <a href="?via=sso" class="btn btn-default btn-flat btn-ui btn-block">
                                <span class="btn-icon">
                                    <object type="image/svg+xml" data="{% static 'img/logo-ui.svg' %}" class="logo-image">
                                        UI Logo <!-- fallback image in CSS -->
                                    </object>
                                </span>
                                Login via SSO
                            </a>

                            {% include "login/linkedin_button.html" with text_login="Login via Linkedin" %}

                            {% if request.GET.other == 'true' %}
{#                            <button class="btn btn-default btn-flat btn-facebook btn-block">#}
{#                <span class="btn-icon">#}
{#                    <object type="image/svg+xml" data="{% static 'img/facebook.svg' %}" class="logo-image">#}
{#                        Facebook Logo <!-- fallback image in CSS -->#}
{#                    </object>#}
{#                </span>#}
{#                                Login via Facebook#}
{#                            </button>#}
{#                            <a href="{{ BE_URL|add:'auth/google/login'}}"#}
{#                               class="btn btn-default btn-flat btn-google btn-block">#}
{#                <span class="btn-icon">#}
{#                    <object type="image/svg+xml" data="{% static 'img/google.svg' %}" class="logo-image">#}
{#                        Google Logo <!-- fallback image in CSS -->#}
{#                    </object>#}
{#                </span>#}
{#                                Login via Google#}
{#                            </a>#}
                            {% endif %}
                        </div>
                    </div>
                    {% endif %}
                    <div class="row my-4">
                        <div class="col small text-center text-muted">
                            <p>
                                Belum punya akun <br/>
                                <a href="{% url 'auth:signup'  %}">Buat akunmu sekarang!</a><br/>
                                {% if request.GET.other != 'true' %}
                                <!--atau<br/>-->
                                <!--<a href="?other=true">Coba dengan cara lain</a><br/>-->
                                <!--{% endif %}-->
                            </p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-7 thumbnail__container d-flex align-items-center">
                <div class="container">
                    <div class="row justify-content-center">
                        <div class="col-auto hero__container p-5">
                            <h2 class="mb-3">Welcome to</h2>
                            <img src="{% static 'img/logo_dark.png' %}" alt="logo-app">'
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}

frontend/v1/app_auth/templates/login/linkedin_button.html
{% load static %}

<a href="{{ BE_URL|add:'auth/linkedin/login'}}"
    class="btn btn-default btn-flat btn-linkedin btn-block">
    <span class="btn-icon">
        <object type="image/svg+xml" data="{% static 'img/linked-in.svg' %}" class="logo-image">
            Linkedin Logo <!-- fallback image in CSS -->
        </object>
    </span>
    {{ text_login }}
</a>

frontend/v1/app_auth/templates/login/login_page.1.html
{% extends "base.html" %}
{% load staticfiles %}
{% load static %}

{% block title %}
Login PPW-Jobs
{% endblock %}

{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/login.css' %}" />
{% endblock %}

{% block header %}
{% include "partials/header.html" %}
{% endblock %}

{% block content %}
<section class="header-banner">
	<div class="container">
		<div class="row login" style="height: 480px;">
			<header class="modal-title">
				<h1 id="login-title">Looking for a job?</h1>
				<p id="login-subtitle">Welcome to Fasilkom linkedin</p>
			</header>

			<section class="banner">
				<div class="bottom" align="center">
					{% if status == "company" %}
						<h3 id="login-status">Logged in as {{nama}} company</h3>
						<br>
						<a href="{% url 'auth:company-logout'%}" class="btn btn-login" id="button-logout">Logout</a>
						<a href="{% url 'company:profile'%}" class="btn btn-login" id="button-dashboard">Dashboard</a>
					{% elif status == "student" %}
						<h3 id="login-status">Logged in as {{nama}} (Student)</h3>
						<br>
						<a href="{% url 'auth:user-logout'%}" class="btn btn-login" id="button-logout">Logout</a>
						<a href="{% url 'mahasiswa:index'%}" class="btn btn-login" id="button-dashboard">Dashboard</a>
					{% else %}
						<a href="#" class="btn btn-login" rel="popover" data-placement="left" id="btn-user">User Login</a>
						<a class="btn btn-login" id="btn-company">Company Login</a>
					{% endif %}
				</div>

		    <div class="middle">
					<div id="modal-user" class="modal">
						<div class="modal-content">
							<div class="modal-header">
								<button type="button" class="close" id="close-user" data-dismiss="modal">&times;</button>
								<h4 class="modal-h4"> Login User with SSO </h4>
							</div>
							<div class="modal-body">
								<form action="{% url 'auth:user-login' %}" method="POST">
									{% csrf_token %}
									<p>
									    <label for="username"> Your username </label>
									    <input type="text" id="username" name="username" required>
									</p>
									<p>
									    <label for="password"> Your password </label>
									    <input type="password" id="password" name="password" required>
									</p>
									<input type="submit" class="btn btn-primary">
								</form>
							</div>
						</div>
					</div>

					<div id="modal-company" class="modal">
						<div class="modal-content">
							<div class="modal-header">
								<button type="button" class="close" id="close-company" data-dismiss="modal">&times;</button>
								<h5 class="modal-h5"> Anda harus terdaftar sebagai admin company di linkedin jika ingin menggunakan company login </h5>
								<h6 class="modal-h6"> Jika bukan admin perusahaan pada linkedin bisa memilih dummy login</h6>
							</div>
							<div class="modal-body">
								<a href="{% url 'auth:company-login' %}" class="btn btn-primary" id="button-login-company">Company Login</a>
								<a href="{% url 'auth:dummy-login' %}" class="btn btn-primary" id="button-login-dummy-company">Dummy Login</a>
							</div>
						</div>
					</div>
				</div>
			</section>
		</div>
	</div>
</section>

<div class="row justify-content-center" id="testimonies">
	<div class="container">
		<h4 class="testimony-title">Our graduates have been working on </h4>
		<div class="row">
		    <div id="small-img">
	            <img src="https://imgee.s3.amazonaws.com/imgee/638b26370a794db38dfef92fa2bfe60f.png" class="img-responsive inline" alt=""/>
	            <img src="https://s3-ap-southeast-1.amazonaws.com/bl-komunitas/1498117385.png" class="img-responsive inline" alt=""/>
	            <img src="https://upload.wikimedia.org/wikipedia/id/5/51/Traveloka_Primary_Logo.png" class="img-responsive inline" alt=""/>
		    </div>
		</div>
	</div>
</div>

{% endblock %}

{% block javascript %}
<script>
	// Get the modal
	var modaluser = document.getElementById('modal-user');
	var modalcompany = document.getElementById('modal-company');

	// Get the button that opens the modal
	var btnuser = document.getElementById("btn-user");
	var btncompany = document.getElementById("btn-company");

	// Get the <span> element that closes the modal
	var spanuser = document.getElementById("close-user");
	var spancompany = document.getElementById("close-company");

	// When the user clicks the button, open the modal
	btnuser.onclick = function() {
	    modaluser.style.display = "block";
	}
	btncompany.onclick = function() {
	    modalcompany.style.display = "block";
	}

	// When the user clicks on <span> (x), close the modal
	spanuser.onclick = function() {
	    modaluser.style.display = "none";
	}
	spancompany.onclick = function() {
	    modalcompany.style.display = "none";
	}

	// When the user clicks anywhere outside of the modal, close it
	window.onclick = function(event) {
	    if (event.target == modal) {
	        modaluser.style.display = "none";
	        modalcompany.style.display = "none";
	    }
	}
</script>
{% endblock %}

{% block footer %}
{% include "partials/footer.html" %}
{% endblock %}

frontend/v1/app_auth/templates/login/login_page.html
{% extends "base.html" %}
{% load staticfiles %}
{% load static %}

{% block title %}
Login PPW-Jobs
{% endblock %}

{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/login.css' %}"/>
<link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}"/>
{% endblock %}

{% block header %}
{% include "partials/header.html" %}
{% endblock %}

{% block content %}
<div class="container">
	<div class="modal-body">
		<form action="{% url 'auth:user-login' %}" method="POST">
			{% csrf_token %}
			<p>
				<label for="username"> Your username </label>
				<input type="text" id="username" name="username" required>
			</p>
			<p>
				<label for="password"> Your password </label>
				<input type="password" id="password" name="password" required>
			</p>
			<input type="submit" class="btn btn-primary">
		</form>
	</div>
</div>

{% endblock %}